// .................................................
// .      ut4_iateyourhamburger                    .
// .    Scripts                                    .
// .              Urban Terror 4.1                 .
// ........................... i ate your hamburger!
//
// content
// ut_hamburgersky script
// ut_hamburgermesh script
// ut_hamburgerlight script
// ut_hamburgertin script
// credit

textures/ut4_iateyourhamburger/ut_hamburgersky
{
	qer_editorimage textures/ut4_iateyourhamburger/ut_hamburgersky.tga	//name it .tga even if its not

	q3map_lightmapFilterRadius 0 4						//#self, #other surfaces //gaussian blur level
//	q3map_lightsubdivide 386						//use q3map_skyLight instead
	q3map_backsplash 0 0							//turns off q3map_backSplash default [self lighting effect]
	q3map_sunExt 0.725 0.625 0.385 55 0 70 3 16				//always sunExt //#r #g #b, #intensity[contrast; high is dark shadow], #degrees[0east 90north 180west 270south], #elevation [0sunrise/sunset 90noon], #deviance, #samples
	q3map_skyLight 310 5	// 325 3							//#light brightness value, #transition quality[smoothness]
//	q3map_lightRGB 0.735 0.685 0.355					//use q3map_sunExt instead, this line did not affect bounced light
	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm nomarks							//use surfaceparm noimpact instead
	surfaceparm nodlight

	skyparms env/ut4_iateyourhamburger/ut_hamburgersky 1024 -		//scrolling clouds must have this second value
	nopicmip
	nomipmaps
	{
		map textures/ut4_iateyourhamburger/ut_hamburgersky.tga
		tcMod scale 1 1							//scale 1=100% 2=50%
//		tcMod scroll 0.003 -0.001
		rgbGen identityLighting
	}
//	{
//		clampmap textures/ut4_iateyourhamburger/ut_hamburgerskymask.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		tcMod transform 1 0.1 0.1 1 -1 -1				//tcMod transform 1 0.1 0.1 1 -1 -1
//		tcMod scale .7 .7						//tcMod scale .6 .6
//	}
}


textures/ut4_iateyourhamburger/ut_hasmburgermesh
{
	qer_trans 0.4
	qer_editor_image textures/ut4_iateyourhamburger/ut_hasmburgermesh.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	{
		map textures/ut4_iateyourhamburger/ut_hasmburgermesh.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ut4_iateyourhamburger/ut_hamburgerlight
{
	qer_editorimage textures/ut4_iateyourhamburger/ut_hamburgerlight.tga
	q3map_surfacelight 1200							//q3map_surfacelight 2200
	surfaceparm trans
	{
		map textures/ut4_iateyourhamburger/ut_hamburgerlight.tga
		rgbGen identity							//blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/textures/ut4_iateyourhamburger/ut_hamburgertin
{
	qer_editorimage textures/ut4_iateyourhamburger/ut_hamburgertin.tga
	surfaceparm trans
	{
 		map textures/ut4_iateyourhamburger/ut_hamburgertin.tga
 	}
 	{
		map $lightmap
		blendFunc filter
 	}
	{
		map textures/effects/tinfx.tga
 		tcGen environment
		blendfunc gl_dst_color gl_one
 		rgbGen identity
 	}
}


textures/ut4_iateyourhamburger/burgershadow					//surfaceparm lightclip; fiters light to cast shadow
{
	qer_editorimage textures/ut4_iateyourhamburger/burgershadow_qer.tga
	qer_trans 0.40

	q3map_lightmapFilterRadius 0 4

	surfaceparm lightfilter							//opposite? surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nodlight
	surfaceparm trans
        {
                map textures/ut4_iateyourhamburger/burgershadow.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}


textures/ut4_iateyourhamburger/burgergrease						//surfaceparm nowallplayerclip
{
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
	surfaceparm playerclip
}


textures/ut4_iateyourhamburger/iateyourhamburger
{
	qer_trans 0.4
	qer_editor_image textures/ut4_iateyourhamburger/iateyourhamburger.tga
	surfaceparm nolightmap
	surfaceparm trans
	nopicmip
	nomipmaps
	cull disable
	{
		map textures/ut4_iateyourhamburger/iateyourhamburger.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_iateyourhamburger/hamburgerwater
{
	qer_editorimage textures/ut4_iateyourhamburger/hamburgerwater.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .3 .2 0 .3

	{ 
		map textures/ut4_iateyourhamburger/hamburgerwater2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod turb 0 .2 .01 .02					//massive turb //tcmod turb 0 1 0.01 0.2
	}
	{ 
		map textures/ut4_iateyourhamburger/hamburgerwater4.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod turb 0 .1 .01 .02					//massive turb //tcmod turb 0 1 0.01 0.2
	}
	{ 
		map textures/ut4_iateyourhamburger/hamburgerwater6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod turb 0 .02 .01 .2					//massive turb //tcmod turb 0 1 0.02 0.2
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


// regards,
// sneaks
// March 2011